-- 2017-02-09, rgf: this is the ooRexx equivalent of the Java program Test_02.java
manager=.bsf~new("javax.script.ScriptEngineManager")
rse    =manager~getEngineByName("Rexx")

filename="test_rexx_02.rex"   -- define the filename
   -- add the filename to the engine's SimpleBindings
sc=rse~getContext -- get the default ScriptContext
-- sc.setAttribute(ScriptEngine.FILENAME,filename,ScriptContext.ENGINE_SCOPE);
sc~setAttribute(rse~FILENAME,filename,sc~ENGINE_SCOPE)
rse~eval(.bsf~new("java.io.FileReader", filename))  -- now let us execute the Rexx script
say
say "... about to reuse the last used Rexx script ..."
say
   -- add arguments for the script to the ENGINE_SCOPE bindings
now=bsf.loadClass("java.util.Calendar")~getInstance
args=bsf.createJavaArrayOf("java.lang.Object", "one", .nil, now)
sc~setAttribute(rse~ARGV, args, sc~ENGINE_SCOPE)

   -- the RexxScriptEngine always compiles the last script and
   -- makes it available with the getCurrentScript() method
rse~getCurrentScript~eval  -- now let us re-execute the Rexx script

::requires "BSF.CLS" -- get Java bridge

